summaryrefslogtreecommitdiffstats
path: root/tests/posix/unionfs.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2023-10-17 11:35:41 -0400
committerTavian Barnes <tavianator@tavianator.com>2023-10-17 12:33:39 -0400
commit3ac3bee7b0d9c9be693415206efa664bf4a7d4a7 (patch)
tree524fd877d53b231c8736211e4b86dc724cfbcab3 /tests/posix/unionfs.sh
parent214a1f9215d33d4b9f34a3d258da1e1f4e3eb01f (diff)
downloadbfs-3ac3bee7b0d9c9be693415206efa664bf4a7d4a7.tar.xz
dir: Fix FreeBSD union mounts
Diffstat (limited to 'tests/posix/unionfs.sh')
-rw-r--r--tests/posix/unionfs.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/posix/unionfs.sh b/tests/posix/unionfs.sh
new file mode 100644
index 0000000..88a549f
--- /dev/null
+++ b/tests/posix/unionfs.sh
@@ -0,0 +1,6 @@
+[[ "$UNAME" == *BSD* ]] || skip
+clean_scratch
+"$XTOUCH" -p scratch/{lower/{foo,bar,baz},upper/{bar,baz/qux}}
+bfs_sudo mount -t unionfs -o below scratch/{lower,upper} || skip
+trap "bfs_sudo umount scratch/upper" EXIT
+bfs_diff scratch